// chs_sampletool.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"

#include <iostream>
#include <string>

#include "chs_toolhelpers.h"
//---------------------------------------------------------------------------




//---------------------------------------------------------------------------
bool RunTransform(std::string infilepath, std::string outfilepath)
{
	// load input file into string
	std::string instring = Ch_LoadFileIntoString(infilepath);

	// transform instring to outstring
	std::string outstring;

	// sample transform -- just double each character
	int len = instring.length();
	char c;
	for (int i=0;i<len;++i)
		{
		c=instring[i];
		outstring+=c;
		outstring+=c;
		}

	// write it
	bool bretv = Ch_SaveStringToFile(outstring,outfilepath);

	return bretv;
}
//---------------------------------------------------------------------------












//---------------------------------------------------------------------------
int _tmain(int argc, _TCHAR* argv[])
{

	if (argc<3)
		{
		std::cerr << "Invocation Error: You must pass input filepath as first parameter and output filepath as second parameter (enclose each one in double quotes). Aborting";
		return 1;
		}


	// get input and output files
	std::string infilepath = std::string(argv[1]);
	std::string outfilepath = std::string(argv[2]);

	// check for existence of input file
	if (!Ch_FileExists(infilepath))
		{
		std::cerr << "Invocation Error: input filepath (first parameter:\""<<infilepath<<"\" does not exist. Aborting.";
		return 1;
		}

	// ok run it
	bool bretv=RunTransform(infilepath,outfilepath);
	if (!bretv)
		{
		return 1;
		}

	//wait (for testing)
	//getchar();

	// success
	return 0;
}
//---------------------------------------------------------------------------
