#include "chs_toolhelpers.h"

#include <istream>
#include <fstream>
#include <iostream>


//---------------------------------------------------------------------------
bool Ch_FileExists(std::string filepath)
{
	if (filepath=="")
		return false;

	// return true if file exits
    std::ifstream fin(filepath);
    if (fin)  // check to see if file exists
		return true;
	return false;
}
//---------------------------------------------------------------------------







//---------------------------------------------------------------------------
std::string Ch_LoadFileIntoString(std::string filepath)
{
	if (filepath=="")
		return "";

	std::ifstream ifs(filepath);
    if (ifs)
		{
		std::string str((std::istreambuf_iterator<char>(ifs)), std::istreambuf_iterator<char>());
		return str;
		}
	return "";
}


bool Ch_SaveStringToFile(std::string outstring,std::string filepath)
{
	if (filepath=="")
		return false;

	std::ofstream ofs(filepath,std::ios_base::binary);

	ofs.write(outstring.c_str(),outstring.length());
	ofs.close();

	if (ofs.bad())
		{
		std::cerr << "Error: Failed to successfully save to output file (\""<<filepath<<"\").";
		return false;
		}

	return true;
}
//---------------------------------------------------------------------------